User Tools

Site Tools


misc:qcamvc

Connectix / Logitech QuickCam VC & Linux 2.6.32

Under GNU/Linux you can easily check if you own this webcam just lokking at the output of the lsusb command:

$lsusb 

Bus 007 Device 006: ID 0478:0001 Connectix Corp. QuickCam
...

Daniele De Marchi started in 2001 to write a device driver for the Connectix QuickCam VC. This driver was originally developed for the Linux Kernel 2.4.0 and was later revisited for the newer 2.6 versions of the kernel.

The latest version of the driver (1.0.11), which can be found on SourceForge, does not compile well under Linux 2.6.31 & .32. However, a simple patch posted by wberrier on the support Forum seems to fix the issues: we managed to build and load succesfully the module in Ubuntu GNU/Linux (Lucid version) with a 2.6.32-30-generic i686 kernel. The resulting patched version of the qcamvc driver can be downloaded here:

misc/qcamvc.txt · Last modified: 2012/10/19 16:37 (external edit)